com.lowagie.text.pdf

## Class PdfEncodings.SymbolTTConversion

- java.lang.Object
- - com.lowagie.text.pdf.PdfEncodings.SymbolTTConversion

All Implemented Interfaces:
  ExtraEncoding

Enclosing class:
  PdfEncodings

    private static class PdfEncodings.SymbolTTConversion
    extends java.lang.Object
    implements ExtraEncoding

### Constructor Summary

Constructors
`private` `PdfEncodings.SymbolTTConversion()`

### Method Summary

Methods
`java.lang.String` `byteToChar(byte[] b, java.lang.String encoding)` Converts a byte array to an Unicode string according to some encoding.
`byte[]` `charToByte(char char1, java.lang.String encoding)` Converts an Unicode char to a byte array according to some encoding.
`byte[]` `charToByte(java.lang.String text, java.lang.String encoding)` Converts an Unicode string to a byte array according to some encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PdfEncodings.SymbolTTConversion

    private PdfEncodings.SymbolTTConversion()

### Method Detail

#### charToByte

    public byte[] charToByte(char char1,
                    java.lang.String encoding)

Description copied from interface: `ExtraEncoding`
Converts an Unicode char to a byte array according to some encoding.

Specified by:
  `charToByte` in interface `ExtraEncoding`
Parameters:
  `char1` - the Unicode char
  `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
Returns:
  the conversion or `null` if no conversion is supported

#### charToByte

    public byte[] charToByte(java.lang.String text,
                    java.lang.String encoding)

Description copied from interface: `ExtraEncoding`
Converts an Unicode string to a byte array according to some encoding.

Specified by:
  `charToByte` in interface `ExtraEncoding`
Parameters:
  `text` - the Unicode string
  `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
Returns:
  the conversion or `null` if no conversion is supported

#### byteToChar

    public java.lang.String byteToChar(byte[] b,
                              java.lang.String encoding)

Description copied from interface: `ExtraEncoding`
Converts a byte array to an Unicode string according to some encoding.

Specified by:
  `byteToChar` in interface `ExtraEncoding`
Parameters:
  `b` - the input byte array
  `encoding` - the requested encoding. It's mainly of use if the same class supports more than one encoding.
Returns:
  the conversion or `null` if no conversion is supported